nxt.http

## Class GetInboundPeers

- java.lang.Object
- - nxt.http.APIServlet.APIRequestHandler
  - - nxt.http.GetInboundPeers

-     public final class GetInboundPeers
      extends APIServlet.APIRequestHandler

  The GetInboundPeers API will return a list of inbound peers. An inbound peer is a peer that has sent a request to this peer within the previous 30 minutes.

  Request parameters:

  - includePeerInfo - Specify 'true' to include the peer information or 'false' to include just the peer address. The default is 'false'.

  Response parameters:

  - peers - An array of peers

  Error Response parameters:

  - errorCode - API error code
  - errorDescription - API error description

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `allowRequiredBlockParameters()`
    `protected org.json.simple.JSONStreamAware` | `processRequest(javax.servlet.http.HttpServletRequest req)` Process the GetInboundPeers API request

    - ### Methods inherited from class nxt.http.APIServlet.APIRequestHandler

      `getAPITags, getFileParameter, getParameters, isPassword, isTextArea, processRequest, requireBlockchain, requireFullClient, requirePassword, requirePost, startDbTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### processRequest

          protected org.json.simple.JSONStreamAware processRequest(javax.servlet.http.HttpServletRequest req)

      Process the GetInboundPeers API request
      Specified by:
        `processRequest` in class `APIServlet.APIRequestHandler`
      Parameters:
        `req` - API request
      Returns:
        API response or null

    - #### allowRequiredBlockParameters

          protected boolean allowRequiredBlockParameters()

      Overrides:
        `allowRequiredBlockParameters` in class `APIServlet.APIRequestHandler`